Package com.sun.j3d.loaders

# Class IncorrectFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.j3d.loaders.IncorrectFormatException

All Implemented Interfaces:
  `Serializable`

public class IncorrectFormatException extends RuntimeException
Exception used to indicate that a file of the incorrect type was passed to a loader.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IncorrectFormatException()`
`IncorrectFormatException(String s)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IncorrectFormatException

public IncorrectFormatException()

### IncorrectFormatException

public IncorrectFormatException(String s)